package net.extsoft.webservice;

public class GenericImplProxy implements net.extsoft.webservice.GenericImpl {
  private String _endpoint = null;
  private net.extsoft.webservice.GenericImpl genericImpl = null;
  
  public GenericImplProxy() {
    _initGenericImplProxy();
  }
  
  public GenericImplProxy(String endpoint) {
    _endpoint = endpoint;
    _initGenericImplProxy();
  }
  
  private void _initGenericImplProxy() {
    try {
      genericImpl = (new net.extsoft.webservice.GenericImplServiceLocator()).getGeneric();
      if (genericImpl != null) {
        if (_endpoint != null)
          ((javax.xml.rpc.Stub)genericImpl)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
        else
          _endpoint = (String)((javax.xml.rpc.Stub)genericImpl)._getProperty("javax.xml.rpc.service.endpoint.address");
      }
      
    }
    catch (javax.xml.rpc.ServiceException serviceException) {}
  }
  
  public String getEndpoint() {
    return _endpoint;
  }
  
  public void setEndpoint(String endpoint) {
    _endpoint = endpoint;
    if (genericImpl != null)
      ((javax.xml.rpc.Stub)genericImpl)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
    
  }
  
  public net.extsoft.webservice.GenericImpl getGenericImpl() {
    if (genericImpl == null)
      _initGenericImplProxy();
    return genericImpl;
  }
  
  public java.lang.String createGroup(java.lang.String domainName, java.lang.String groupID, int typeid, java.lang.String groupName, java.lang.String creater, java.lang.String affiche) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    return genericImpl.createGroup(domainName, groupID, typeid, groupName, creater, affiche);
  }
  
  public boolean disbandGroup(java.lang.String domainName, java.lang.String groupID) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    return genericImpl.disbandGroup(domainName, groupID);
  }
  
  public java.lang.String addDepartment(java.lang.String domainName, java.lang.String departID, java.lang.String departName, java.lang.String parentID, java.lang.String sort) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    return genericImpl.addDepartment(domainName, departID, departName, parentID, sort);
  }
  
  public java.lang.String addEmployeeEx(java.lang.String domainName, java.lang.String userName, java.lang.String realName, java.lang.String sex, java.lang.String password, java.lang.String duty, java.lang.String mobile, java.lang.String email, java.lang.String departID, java.lang.String sort) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    return genericImpl.addEmployeeEx(domainName, userName, realName, sex, password, duty, mobile, email, departID, sort);
  }
  
  public java.lang.String addEmployeeEx2(java.lang.String domainName, java.lang.String userName, java.lang.String realName, java.lang.String sex, java.lang.String password, java.lang.String duty, java.lang.String mobile, java.lang.String email, java.lang.String departID, java.lang.String sort, java.lang.String dataSource) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    return genericImpl.addEmployeeEx2(domainName, userName, realName, sex, password, duty, mobile, email, departID, sort, dataSource);
  }
  
  public java.lang.String addEmployeeEx3(java.lang.String domainName, java.lang.String userName, java.lang.String realName, java.lang.String sex, java.lang.String password, java.lang.String duty, java.lang.String mobile, java.lang.String email, java.lang.String departID, java.lang.String sort, java.lang.String dataSource, java.lang.String userType) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    return genericImpl.addEmployeeEx3(domainName, userName, realName, sex, password, duty, mobile, email, departID, sort, dataSource, userType);
  }
  
  public java.lang.String addEmployeeEx4(java.lang.String domainName, java.lang.String userName, java.lang.String realName, java.lang.String sex, java.lang.String password, java.lang.String duty, java.lang.String mobile, java.lang.String email, java.lang.String departID, java.lang.String sort, java.lang.String dataSource, java.lang.String shortName) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    return genericImpl.addEmployeeEx4(domainName, userName, realName, sex, password, duty, mobile, email, departID, sort, dataSource, shortName);
  }
  
  public java.lang.String addEmployeeEx5(java.lang.String domainName, java.lang.String userName, java.lang.String realName, java.lang.String sex, java.lang.String password, java.lang.String duty, java.lang.String mobile, java.lang.String email, java.lang.String departID, java.lang.String sort, java.lang.String dataSource, java.lang.String shortName, java.lang.String officeVoice) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    return genericImpl.addEmployeeEx5(domainName, userName, realName, sex, password, duty, mobile, email, departID, sort, dataSource, shortName, officeVoice);
  }
  
  public java.lang.String addEmployeeEx6(java.lang.String domainName, java.lang.String userName, java.lang.String realName, java.lang.String sex, java.lang.String password, java.lang.String duty, java.lang.String mobile, java.lang.String email, java.lang.String departID, java.lang.String sort, java.lang.String dataSource, java.lang.String shortName, java.lang.String officeVoice, java.lang.String officeFax) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    return genericImpl.addEmployeeEx6(domainName, userName, realName, sex, password, duty, mobile, email, departID, sort, dataSource, shortName, officeVoice, officeFax);
  }
  
  public java.lang.String appendEmployee(java.lang.String domainName, java.lang.String userName, java.lang.String departID, java.lang.String duty, java.lang.String sort) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    return genericImpl.appendEmployee(domainName, userName, departID, duty, sort);
  }
  
  public boolean appendGroupMember(java.lang.String domainName, java.lang.String groupID, java.lang.String userName) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    return genericImpl.appendGroupMember(domainName, groupID, userName);
  }
  
  public void delDepartment(java.lang.String domainName, java.lang.String departID) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    genericImpl.delDepartment(domainName, departID);
  }
  
  public java.lang.String deleteDepEmpMapping(java.lang.String domainName, java.lang.String userName) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    return genericImpl.deleteDepEmpMapping(domainName, userName);
  }
  
  public void editDepartment(java.lang.String domainName, java.lang.String departID, java.lang.String newParentID, java.lang.String newDepartName, java.lang.String newSort) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    genericImpl.editDepartment(domainName, departID, newParentID, newDepartName, newSort);
  }
  
  public void editEmployee1(java.lang.String domainName, java.lang.String userName, java.lang.String newRealName, java.lang.String newSex, java.lang.String newPassword, java.lang.String duty, java.lang.String newMobile, java.lang.String newEmail, java.lang.String newDepartID, java.lang.String newSort, java.lang.String newOfficeTel, java.lang.String newCardCode, java.lang.String newLdapDN, java.lang.String newLdapAddress, java.lang.String newHomeAddress) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    genericImpl.editEmployee1(domainName, userName, newRealName, newSex, newPassword, duty, newMobile, newEmail, newDepartID, newSort, newOfficeTel, newCardCode, newLdapDN, newLdapAddress, newHomeAddress);
  }
  
  public void editEmployeeEx2(java.lang.String domainName, java.lang.String userName, java.lang.String newRealName, java.lang.String newSex, java.lang.String newPassword, java.lang.String duty, java.lang.String newMobile, java.lang.String newEmail, java.lang.String newDepartID, java.lang.String newSort, java.lang.String newOfficeTel, java.lang.String newCardCode, java.lang.String newLdapDN, java.lang.String newLdapAddress, java.lang.String newHomeAddress, java.lang.String newDataSource) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    genericImpl.editEmployeeEx2(domainName, userName, newRealName, newSex, newPassword, duty, newMobile, newEmail, newDepartID, newSort, newOfficeTel, newCardCode, newLdapDN, newLdapAddress, newHomeAddress, newDataSource);
  }
  
  public void editEmployeeEx3(java.lang.String domainName, java.lang.String userName, java.lang.String newRealName, java.lang.String newSex, java.lang.String newPassword, java.lang.String duty, java.lang.String newMobile, java.lang.String newEmail, java.lang.String newDepartID, java.lang.String newSort, java.lang.String newOfficeTel, java.lang.String newCardCode, java.lang.String newLdapDN, java.lang.String newLdapAddress, java.lang.String newHomeAddress, java.lang.String newDataSource, java.lang.String newOfficeFax) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    genericImpl.editEmployeeEx3(domainName, userName, newRealName, newSex, newPassword, duty, newMobile, newEmail, newDepartID, newSort, newOfficeTel, newCardCode, newLdapDN, newLdapAddress, newHomeAddress, newDataSource, newOfficeFax);
  }
  
  public boolean existDepartment(java.lang.String domainName, java.lang.String departID) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    return genericImpl.existDepartment(domainName, departID);
  }
  
  public boolean existEmployee(java.lang.String domainName, java.lang.String userName) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    return genericImpl.existEmployee(domainName, userName);
  }
  
  public java.lang.String findDefaultDomain() throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    return genericImpl.findDefaultDomain();
  }
  
  public java.lang.String[] getAllDepartment(java.lang.String domainName) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    return genericImpl.getAllDepartment(domainName);
  }
  
  public java.lang.String[] getAllDepartmentIds(java.lang.String domainName) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    return genericImpl.getAllDepartmentIds(domainName);
  }
  
  public java.lang.String[] getAllEmployee(java.lang.String domainName) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    return genericImpl.getAllEmployee(domainName);
  }
  
  public java.lang.String[] getAllLoginUser() throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    return genericImpl.getAllLoginUser();
  }
  
  public java.lang.String getClientUser(java.lang.String clientkey) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    return genericImpl.getClientUser(clientkey);
  }
  
  public java.lang.String[] getDepartmentList(java.lang.String domainName, java.lang.String parentID) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    return genericImpl.getDepartmentList(domainName, parentID);
  }
  
  public java.lang.String[] getEmployeeList(java.lang.String domainName, java.lang.String departID) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    return genericImpl.getEmployeeList(domainName, departID);
  }
  
  public java.lang.String[] getEmployeeStateList(java.lang.String domainName, java.lang.String departID) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    return genericImpl.getEmployeeStateList(domainName, departID);
  }
  
  public java.lang.String[] getGroupMember(java.lang.String domainName, java.lang.String groupID) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    return genericImpl.getGroupMember(domainName, groupID);
  }
  
  public java.lang.String removeEmployee(java.lang.String domainName, java.lang.String userName, java.lang.String departID) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    return genericImpl.removeEmployee(domainName, userName, departID);
  }
  
  public void removeGroupMember(java.lang.String domainName, java.lang.String groupID, java.lang.String userName) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    genericImpl.removeGroupMember(domainName, groupID, userName);
  }
  
  public void sendSystemMessage(java.lang.String domainName, java.lang.String userName, java.lang.String title, java.lang.String content, java.lang.String type, java.lang.String level) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    genericImpl.sendSystemMessage(domainName, userName, title, content, type, level);
  }
  
  public java.lang.String updateDepartmentName(java.lang.String domainName, java.lang.String departID, java.lang.String newDepartName) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    return genericImpl.updateDepartmentName(domainName, departID, newDepartName);
  }
  
  public java.lang.String updateDepartmentSort(java.lang.String domainName, java.lang.String departID, java.lang.String newSort) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    return genericImpl.updateDepartmentSort(domainName, departID, newSort);
  }
  
  public java.lang.String updateEmployeeDuty(java.lang.String domainName, java.lang.String userName, java.lang.String newDuty) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    return genericImpl.updateEmployeeDuty(domainName, userName, newDuty);
  }
  
  public void updatePortal2(java.lang.String domainName, java.lang.String userName, java.lang.String portalId, java.lang.String title, java.lang.String tooltip) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    genericImpl.updatePortal2(domainName, userName, portalId, title, tooltip);
  }
  
  public void updateUserPic(java.lang.String domainName, java.lang.String userName, java.lang.String b64Pic) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    genericImpl.updateUserPic(domainName, userName, b64Pic);
  }
  
  public java.lang.String delDomain(java.lang.String domainName) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    return genericImpl.delDomain(domainName);
  }
  
  public java.lang.String setLevel(java.lang.String domainName, java.lang.String userName, java.lang.String level) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    return genericImpl.setLevel(domainName, userName, level);
  }
  
  public java.lang.String addDomain(java.lang.String domainName) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    return genericImpl.addDomain(domainName);
  }
  
  public java.lang.String addEmployee(java.lang.String domainName, java.lang.String userName, java.lang.String realName, java.lang.String sex, java.lang.String password) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    return genericImpl.addEmployee(domainName, userName, realName, sex, password);
  }
  
  public void delEmployee(java.lang.String domainName, java.lang.String userName) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    genericImpl.delEmployee(domainName, userName);
  }
  
  public void editEmployee(java.lang.String domainName, java.lang.String userName, java.lang.String newRealName, java.lang.String newSex, java.lang.String newPassword, java.lang.String duty, java.lang.String newMobile, java.lang.String newEmail, java.lang.String newDepartID, java.lang.String newSort) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    genericImpl.editEmployee(domainName, userName, newRealName, newSex, newPassword, duty, newMobile, newEmail, newDepartID, newSort);
  }
  
  public boolean existGroup(java.lang.String domainName, java.lang.String groupID) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    return genericImpl.existGroup(domainName, groupID);
  }
  
  public java.lang.String findEmpDep(java.lang.String domainName, java.lang.String userName) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    return genericImpl.findEmpDep(domainName, userName);
  }
  
  public java.lang.String[] getALlGroup(java.lang.String domainName) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    return genericImpl.getALlGroup(domainName);
  }
  
  public java.lang.String getUserPic(java.lang.String domainName, java.lang.String userName) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    return genericImpl.getUserPic(domainName, userName);
  }
  
  public boolean isLogin(java.lang.String domainName, java.lang.String userName) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    return genericImpl.isLogin(domainName, userName);
  }
  
  public java.lang.String moveEmployee(java.lang.String domainName, java.lang.String userName, java.lang.String oldDepartID, java.lang.String newDepartID, java.lang.String newDuty, java.lang.String newSort) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    return genericImpl.moveEmployee(domainName, userName, oldDepartID, newDepartID, newDuty, newSort);
  }
  
  public void updatePortal(java.lang.String domainName, java.lang.String userName, java.lang.String portalId, java.lang.String count) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    genericImpl.updatePortal(domainName, userName, portalId, count);
  }
  
  public java.lang.String[] getAllEmployeeLoginName(java.lang.String domainName) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    return genericImpl.getAllEmployeeLoginName(domainName);
  }
  
  public java.lang.String[] getAllLoginUserNoDomainName() throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    return genericImpl.getAllLoginUserNoDomainName();
  }
  
  public java.lang.String updateDepartmentParent(java.lang.String domainName, java.lang.String departID, java.lang.String newParentID, java.lang.String newSort) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    return genericImpl.updateDepartmentParent(domainName, departID, newParentID, newSort);
  }
  
  public java.lang.String updateEmployeeRealName(java.lang.String domainName, java.lang.String userName, java.lang.String newRealName) throws java.rmi.RemoteException{
    if (genericImpl == null)
      _initGenericImplProxy();
    return genericImpl.updateEmployeeRealName(domainName, userName, newRealName);
  }
  
  
}